org.jbpm.marshalling.impl

## Class JBPMMessages.VariableContainer

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.VariableContainer

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.VariableContainerOrBuilder
  Enclosing class:
    JBPMMessages

      public static final class JBPMMessages.VariableContainer
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.VariableContainerOrBuilder

  Protobuf type `org.jbpm.marshalling.VariableContainer`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.VariableContainer.Builder` Protobuf type `org.jbpm.marshalling.VariableContainer`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.protobuf.Parser<JBPMMessages.VariableContainer>` | `PARSER`
    `static int` | `VARIABLE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JBPMMessages.VariableContainer` | `getDefaultInstance()`
    `JBPMMessages.VariableContainer` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<JBPMMessages.VariableContainer>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.VariableContainer.Builder` | `newBuilder()`
    `static JBPMMessages.VariableContainer.Builder` | `newBuilder(JBPMMessages.VariableContainer prototype)`
    `JBPMMessages.VariableContainer.Builder` | `newBuilderForType()`
    `protected JBPMMessages.VariableContainer.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static JBPMMessages.VariableContainer` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.VariableContainer` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.VariableContainer` | `parseFrom(byte[] data)`
    `static JBPMMessages.VariableContainer` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.VariableContainer` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.VariableContainer` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.VariableContainer` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.VariableContainer` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.VariableContainer` | `parseFrom(InputStream input)`
    `static JBPMMessages.VariableContainer` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.VariableContainer.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.VariableContainer> PARSER

    - #### VARIABLE_FIELD_NUMBER

          public static final int VARIABLE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.VariableContainer getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.VariableContainer getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.VariableContainer> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getVariableList

          public List<JBPMMessages.Variable> getVariableList()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableList` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariableOrBuilderList

          public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableOrBuilderList` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariableCount

          public int getVariableCount()

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableCount` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariable

          public JBPMMessages.Variable getVariable(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariable` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### getVariableOrBuilder

          public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

      `repeated .org.jbpm.marshalling.Variable variable = 1;`
      Specified by:
        `getVariableOrBuilder` in interface `JBPMMessages.VariableContainerOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(com.google.protobuf.ByteString data)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(com.google.protobuf.ByteString data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(byte[] data)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(byte[] data,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(InputStream input)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(InputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.VariableContainer parseDelimitedFrom(InputStream input)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.VariableContainer parseDelimitedFrom(InputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(com.google.protobuf.CodedInputStream input)
                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.VariableContainer parseFrom(com.google.protobuf.CodedInputStream input,
                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                          throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.VariableContainer.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.VariableContainer.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.VariableContainer.Builder newBuilder(JBPMMessages.VariableContainer prototype)

    - #### toBuilder

          public JBPMMessages.VariableContainer.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.VariableContainer.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.